Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class ResponseListener

    java.lang.Object
      java.lang.Thread
          com.skype.ipc.ResponseListener

All Implemented Interfaces:
  java.lang.Runnable

    public class ResponseListener

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ResponseListener(EventDispatcher edp, RootObject root)`

Method Summary
`void` | `die()`
`GetPropertyResponse` | `get_prop_response()`
`Response` | `get_x_call_response(int rid)`
`boolean` | `isDead()`
`void` | `run()`
`void` | `waitHandshake()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResponseListener

    public ResponseListener(EventDispatcher edp,
                            RootObject root)

Method Detail

### isDead

    public boolean isDead()

### die

    public void die()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### waitHandshake

    public void waitHandshake()
                       throws java.io.IOException,
                              java.lang.IllegalArgumentException

  Throws:
    `java.io.IOException`
    `java.lang.IllegalArgumentException`

### get_prop_response

    public GetPropertyResponse get_prop_response()

### get_x_call_response

    public Response get_x_call_response(int rid)
                                 throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.